package com.bocloud.ims.interfaces.resource.f5;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.ims.entity.resource.f5.BiNode;

/**
 * @author kyw
 *
 */
public interface F5BiNodeService {
	/**
	 * 列表
	 * @param pager
	 * @return
	 */
	public BocloudResult<GridBean<BiNode>> list(Pager pager);

	/**
	 * 添加
	 * 
	 * @param BiNode
	 * @param userId
	 * @return
	 */
	public BocloudResult create(BiNode BiNode, Long userId);

	/**
	 * 更新
	 * 
	 * @param BiNode
	 * @param userId
	 * @return 操作结果
	 */
	public BocloudResult modify(BiNode BiNode, Long userId);

	/**
	 * 移除
	 * 
	 * @param id
	 *            ID
	 * @param userId
	 *            操作者ID
	 * @return 操作结果
	 */
	public BocloudResult remove(Long id, Long userId);

	/**
	 * 详细信息
	 * 
	 * @param id
	 *            ID
	 * @return 详细信息
	 */
	public BocloudResult<BiNode> detail(Long id);

}
